<div class="container">
    <div class="row">
        <div class="col-md-6 col-md-offset-3" style="margin-left: 27%;
        margin-top: 9%;
        margin-right: -3%;">
            <div class="panel panel-login">
                <div class="panel-heading">
                    <div class="row">
                        <div class="col-xs-6">
                            <a  style="margin-left: 100%;" class="active" id="login-form-link">Login</a>
                        </div>
                        <div class="col-xs-6">
                            <a style="margin-left: 600%;" routerLink="/register" id="register-form-link">Register</a>
                        </div>
                    </div>
                    <hr>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <form [formGroup]="loginform"  style="display: block;">
                              
                                <div class="form-group">
                                    <input type="text" formControlName="emailId" class="form-control" placeholder="Email id" />
                                    <span style="color:red" *ngIf=" loginform.get('emailId').invalid && loginform.get('emailId').hasError('pattern') ">
                                        Please Enter Valid Email Id
                                    </span>
                                    <span style="color:red"*ngIf=" loginform.get('emailId').touched &&  loginform.get('emailId').hasError('required')">
                                        Required Field
                                    </span>


                                </div>
                                <div class="form-group">
                                    <input type="password" formControlName="password"  class="form-control" placeholder="Password">
                                    <span style="color:red" *ngIf="loginform.get('password').touched &&  loginform.get('password').hasError('required')">
                                        Required Field
                                    </span>
                                    <span style="color:red" *ngIf="passordmismatch">
                                        invalid login credentials
                                    </span>
                                </div>
                                
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-sm-6 col-sm-offset-3">
                                            <input type="submit" (click)="loginfunction()" class="form-control btn btn-login" value="Log In">
                                        </div>
                                    </div>
                                </div>
                
                            </form>
                            
                        </div>
                    </div>
                </div>
            </div>
        </div>